OpenZWave Library: OpenZWave::OZWException Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
OpenZWave::OZWException Class Reference

Exception Handling Interface. More...

`#include <OZWException.h>`

Inheritance diagram for OpenZWave::OZWException:

## Public Types
enum | ExceptionType { OZWEXCEPTION_OPTIONS , OZWEXCEPTION_CONFIG , OZWEXCEPTION_INVALID_HOMEID = 100 , OZWEXCEPTION_INVALID_VALUEID , OZWEXCEPTION_CANNOT_CONVERT_VALUEID , OZWEXCEPTION_SECURITY_FAILED , OZWEXCEPTION_INVALID_NODEID }

## Public Member Functions
| OZWException (std::string file, int line, ExceptionType exitCode, std::string msg)
| ~OZWException () throw ()
ExceptionType | GetType ()
std::string | GetFile ()
uint32 | GetLine ()
std::string | GetMsg ()

## Detailed Description

Exception Handling Interface.

This class is for exporting errors etc when using the OpenZWave API. It can report incorrect API usage (such as passing incorrect ValueID's to the Manager::SetValue methods) or

## Member Enumeration Documentation

## ◆ ExceptionType

enum OpenZWave::OZWException::ExceptionType

Enumerator
OZWEXCEPTION_OPTIONS |
OZWEXCEPTION_CONFIG |
OZWEXCEPTION_INVALID_HOMEID |
OZWEXCEPTION_INVALID_VALUEID |
OZWEXCEPTION_CANNOT_CONVERT_VALUEID |
OZWEXCEPTION_SECURITY_FAILED |
OZWEXCEPTION_INVALID_NODEID |

## Constructor & Destructor Documentation

## ◆ OZWException()

OpenZWave::OZWException::OZWException | ( | std::string | file,
|  | int | line,
|  | ExceptionType | exitCode,
|  | std::string | msg
| ) |  |
| inline

## ◆ ~OZWException()

OpenZWave::OZWException::~OZWException | ( |  | ) |
throw | ( |
| ) |  |
| inline

## Member Function Documentation

## ◆ GetFile()

std::string OpenZWave::OZWException::GetFile | ( |  | ) |
| inline

## ◆ GetLine()

uint32 OpenZWave::OZWException::GetLine | ( |  | ) |
| inline

## ◆ GetMsg()

std::string OpenZWave::OZWException::GetMsg | ( |  | ) |
| inline

## ◆ GetType()

ExceptionType OpenZWave::OZWException::GetType | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- OZWException.h